Bug 1534272 - md: raid0 device creation prints blank line to journalctl
Summary: md: raid0 device creation prints blank line to journalctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: John Pittman
QA Contact: guazhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-14 17:18 UTC by John Pittman
Modified: 2018-04-10 23:38 UTC (History)
4 users (show)

Fixed In Version: kernel-3.10.0-857.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 23:36:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to dump_zones() in drivers/md/raid0.c (314 bytes, patch)
2018-01-14 17:45 UTC, John Pittman
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1062 0 None None None 2018-04-10 23:38:04 UTC

Description John Pittman 2018-01-14 17:18:48 UTC
Description of problem:

raid0 device creation prints blank line to journalctl

Jan 12 19:26:42 localhost.localdomain kernel: md0: detected capacity change from 3218079744 to 0
Jan 12 19:26:42 localhost.localdomain kernel: md: md0 stopped.
Jan 12 19:27:32 localhost.localdomain kernel: 
Jan 12 19:27:32 localhost.localdomain kernel: md0: detected capacity change from 0 to 2145386496

Version-Release number of selected component (if applicable):

kernel-3.10.0-693.11.6.el7

How reproducible:

mdadm -C /dev/md(x) --raid-devices 2 --level 0 /dev/sdb /dev/sdc

Comment 2 John Pittman 2018-01-14 17:45:34 UTC
Created attachment 1381105 [details]
Patch to dump_zones() in drivers/md/raid0.c

Comment 9 Bruno Meneguele 2018-02-27 11:20:51 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 11 Bruno Meneguele 2018-02-27 11:24:37 UTC
Patch(es) available on kernel-3.10.0-857.el7

Comment 13 guazhang@redhat.com 2018-02-27 11:49:19 UTC
Hello

3.10.0-855.el7.x86_64

Feb 27 06:36:26 storageqe-26.rhts.eng.bos.redhat.com kernel: md0: detected capacity change from 10726932480 to 0
Feb 27 06:36:26 storageqe-26.rhts.eng.bos.redhat.com kernel: md: md0 stopped.
Feb 27 06:38:06 storageqe-26.rhts.eng.bos.redhat.com kernel: 
Feb 27 06:38:06 storageqe-26.rhts.eng.bos.redhat.com kernel: md0: detected capacity change from 0 to 10726932480


3.10.0-857.el7.x86_64

Feb 27 06:47:01 storageqe-26.rhts.eng.bos.redhat.com kernel: md127: detected capacity change from 10726932480 to 0
Feb 27 06:47:01 storageqe-26.rhts.eng.bos.redhat.com kernel: md: md127 stopped.
Feb 27 06:47:04 storageqe-26.rhts.eng.bos.redhat.com kernel: md: md126 stopped.
Feb 27 06:47:34 storageqe-26.rhts.eng.bos.redhat.com kernel: md0: detected capacity change from 0 to 10726932480


so the kernel 857 has fixed the bug ,move to verified 


thanks
guazhang

Comment 14 errata-xmlrpc 2018-04-10 23:36:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.